Package org.eclipse.microprofile.metrics

## Class Snapshot.PercentileValue

- java.lang.Object
- - org.eclipse.microprofile.metrics.Snapshot.PercentileValue

Enclosing class:
  Snapshot

    public static class Snapshot.PercentileValue
    extends Object

Represents a percentile and its value at the moment it was sampled from the Snapshot. See `#percentileValue()`

### Constructor Summary

Constructors
`PercentileValue​(double percentile, double value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getPercentile()` Returns percentile
`double` `getValue()` Returns value at percentile
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PercentileValue

    public PercentileValue​(double percentile,
                           double value)

Parameters:
  `percentile` - percentile
  `value` - value of percentile

### Method Detail

#### getPercentile

    public double getPercentile()

Returns percentile

Returns:
  double percentile

#### getValue

    public double getValue()

Returns value at percentile

Returns:
  double value at percentile

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`